'' From Parallax Inc. Propeller Education Kit - Counters & Circuits Lab
'' TestIrDutyDistanceDetector.spin


CON

  _xinfreq = 5_000_000                      
  _clkmode = xtal1 | pll16x


OBJ

  ir     : "IrDetector"
  debug  : "FullDuplexSerialPlus"
  

PUB TestIr | dist

  'Start serial communication, and wait 2 s for user to connect to HyperTerminal.
  Debug.Start(31, 30, 0, 57600)
  waitcnt(clkfreq * 2 + cnt)
  debug.str(String("running...", 10, 13))

  'Configure IR detectors.
  ir.init(1, 2, 0)                   

  repeat            
    'Get and display distance.
    dist := ir.Distance
    debug.dec(dist)
    debug.str(String(10, 13))
    waitcnt(clkfreq/3 + cnt)

